POST
/projects/{projectName}/placements
http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placementsCreates an empty placement.
Access Token Required: API Key
Path Parameters
projectNamestringrequired
The name of the project in which to create the placement.
Body Params
attributesobject
Optional user-defined key/value pairs providing contextual data (such as location or function) for the placement.
placementNamestringrequired
The name of the placement to be created.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}